Subject: Re: [Ecrit] Proposed requirement: split responsibility

From: Tom Taylor <[email-masked]>
Date: Tue, 24 May 2005 12:40:23 -0400

I see the point about independence from point of deployment.  I can't 
see any need for us to specify database design itself.  This is surely a 
country-specific engineering question.  However, a complete solution 
does require:
  -- possibility for the initial query response to direct a follow-up 
query (which we have covered in our requirements, I think)
  -- procedures for advertisement/discovery of the initial point of 
query (for which I asked the scope question).

Brian Rosen wrote:

>Tom
>
>We have to specify how routing elements behave.  It can't be country
>specific.  The entity doing the mapping has to have a well defined procedure
>to determine the mapping, which includes how it starts, what it does if its
>first query fails, etc, which works regardless of where it is deployed.
>
>Similarly, we have to specify how it is possible for the database to be
>distributed that is implementable in a practical sense.  North America is a
>hard case, because the boundaries are messy, and the existing databases
>match those messy boundaries.  
>
>I agree each country will decide how to organize their database, but we have
>to supply the mechanisms that make it work for all the conceivable cases.
>Some countries are real simple; one URI for the entire country.  Others,
>like in North America, are particularly complicated.  Japan appears to be in
>between.
>
>I do hope this is in scope; it would be useless if it wasn't.
>I think scope starts with "you have a location" and ends with "you have a
>uri (or set of uri's) where signaling should be sent".
>
>
>Brian
>
>
>  
>
>>-----Original Message-----
>>From: Tom Taylor [mailto:[email-masked]]
>>Sent: Tuesday, May 24, 2005 11:43 AM
>>To: Andrew Newton
>>Cc: Brian Rosen; [email-masked]
>>Subject: Re: [Ecrit] Proposed requirement: split responsibility
>>
>>How a given country sets up its database is up to that country.  It
>>could be centralized, distributed according to a hierarchy, or
>>distributed but redundant.  The key requirement is that PIDF-LO and the
>>query protocol be able to capture the elements of information any
>>specific database system needs to function properly.  And of course, the
>>database design will to a large extent be determined by what we provide
>>in the way of query language.
>>
>>I have a question about WG scope.  Is discovery of the appropriate
>>mapping server a problem we are supposed to tackle?
>>
>>    
>>
...

_______________________________________________
Ecrit mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ecrit

---

From: "Brian Rosen" <[email-masked]>
Date: Tue, 24 May 2005 12:53:06 -0400

Tom

Basically, I agree.  We must have a mechanism that works IF the database has
"messy" boundaries.  Referring the query to another server is one of them.
Forwarding is another, and parallel or series forking is a third.
Those are solutions, not requirements.

Brian

> Sent: Tuesday, May 24, 2005 12:40 PM
> To: Brian Rosen
> Cc: Tom-PT Taylor; 'Andrew Newton'; [email-masked]